## rabbitmq-stomp 2.3.1+hg20110303

=== Makefile ===
PACKAGE=rabbit_stomp
APPNAME=rabbit_stomp
DEPS=rabbitmq-server rabbitmq-erlang-client

START_RABBIT_IN_TESTS=true
TEST_APPS=rabbit_stomp
TEST_SCRIPTS=./test/test.py
UNIT_TEST_COMMANDS=eunit:test([rabbit_stomp_test_util,rabbit_stomp_test_frame],[verbose])

include ../include.mk

testdeps:
	make -C deps/stomppy

test: unittest testdeps

unittest: $(TARGETS) $(TEST_TARGETS)
	ERL_LIBS=$(LIBS_PATH) $(ERL) $(TEST_LOAD_PATH) \
		$(foreach CMD,$(UNIT_TEST_COMMANDS),-eval '$(CMD)') \
		-eval 'init:stop()' | tee $(TMPDIR)/rabbit-stomp-unittest-output |\
			egrep "passed" >/dev/null

=== deps/stomppy/Makefile ===
UPSTREAM_HG=https://stomppy.googlecode.com/hg/
REVISION=16a4000624a7

LIB_DIR=stomppy
CHECKOUT_DIR=stomppy-hg

TARGETS=$(LIB_DIR)

all: $(TARGETS)

clean:
	rm -rf $(LIB_DIR)

distclean: clean
	rm -rf $(CHECKOUT_DIR)

$(LIB_DIR) : $(CHECKOUT_DIR)
	cp -r $< $@
	cd $@ && patch -p1 < ../rabbit.patch

$(CHECKOUT_DIR):
	hg clone $(UPSTREAM_HG) $@
	(cd $@ && hg up $(REVISION)) || rm -rf $@

echo-revision:
	@echo $(REVISION)

=== debian/changelog ===
rabbitmq-stomp (2.3.1+hg20110303-0ubuntu5) natty; urgency=low

  * Installation of rabbitmq-stomp necessitates restarting the
    rabbitmq-server (would be nice to use upstart for rabbitmq-server)

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 21 Apr 2011 13:46:25 -0400

rabbitmq-stomp (2.3.1+hg20110303-0ubuntu4) natty; urgency=low

  [ Brian Thomason ]
  * Added full MPL 1.1 text to debian/copyright and added proper copyright
    attribution for packaging itself, LP: #739719

  [ Dustin Kirkland ]
  * debian/control: add versioned build-depends, and trigger a rebuild to
    fix FTBFS

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 19 Apr 2011 15:40:03 -0400

rabbitmq-stomp (2.3.1+hg20110303-0ubuntu3) natty; urgency=low

  * Modified config file to conform to new format

 -- Brian Thomason <brian.thomason@canonical.com>  Fri, 11 Mar 2011 12:39:35 -0500

rabbitmq-stomp (2.3.1+hg20110303-0ubuntu2) natty; urgency=low

  * Added missing zip and unzip build deps

 -- Brian Thomason <brian.thomason@canonical.com>  Fri, 04 Mar 2011 15:56:48 -0500

rabbitmq-stomp (2.3.1+hg20110303-0ubuntu1) natty; urgency=low

  * Initial release

 -- Brian Thomason <brian.thomason@canonical.com>  Thu, 03 Mar 2011 23:44:14 -0500

=== debian/control ===
Source: rabbitmq-stomp
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Brian Thomason <brian.thomason@canonical.com>
Build-Depends: debhelper (>= 7.0.50~), erlang-dev, zip, unzip,
               rabbitmq-erlang-client (>= 2.3.1), rabbitmq-server (>= 2.3.1-1ubuntu1)
Standards-Version: 3.9.1
Homepage: http://www.rabbitmq.com/
Vcs-Browser: http://hg.rabbitmq.com/rabbitmq-stomp

Package: rabbitmq-stomp
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, rabbitmq-plugins-common,
         rabbitmq-server (>= 2.3.1), rabbitmq-erlang-client (>= 2.3.1)
Suggests: ruby
Description: A STOMP gateway for RabbitMQ
 A gateway for exposing AMQP functionality via the STOMP protocol, as
 implemented by many clients for various programming languages, and a few other
 servers besides RabbitMQ.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh  $@

override_dh_auto_install:
	#nothing to do here

override_dh_auto_test:
	#should not run test suite during build

## rabbitmq-stomp 2.5.0+hg20110623

=== debian/changelog ===
rabbitmq-stomp (2.5.0+hg20110623-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * Fixed build problems 
  * Lintian clean

 -- Marc Cluet <marc.cluet@ubuntu.com>  Thu, 23 Jun 2011 17:41:35 +0000

rabbitmq-stomp (2.4.1+hg20110525-0ubuntu5) oneiric; urgency=low

  * debian/install: Point to the right rabbitmq. 

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 29 May 2011 15:02:04 -0400

rabbitmq-stomp (2.4.1+hg20110525-0ubuntu4) oneiric; urgency=low

  * debian/install: Dont use /usr. Fixes FTBFS. 

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 29 May 2011 12:49:03 -0400

rabbitmq-stomp (2.4.1+hg20110525-0ubuntu3) oneiric; urgency=low

  * Really fix FTBFS. 

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 28 May 2011 20:25:11 -0400

rabbitmq-stomp (2.4.1+hg20110525-0ubuntu2) oneiric; urgency=low

  * Fix FTBFS. 

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 28 May 2011 15:41:46 -0400

rabbitmq-stomp (2.4.1+hg20110525-0ubuntu1) oneiric; urgency=low

  [Marc Cluet]
  * Updated to rabbitmq-stomp 2.4.1
  * Build for Oneiric

  [Chuck Short]
  * Cleaned up packaging.

 -- Marc Cluet <marc.cluet@ubuntu.com>  Wed, 25 May 2011 06:49:54 -0700

=== debian/control ===
Source: rabbitmq-stomp
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Brian Thomason <brian.thomason@canonical.com>
Build-Depends: debhelper (>= 7.4.2~), erlang-dev, zip, unzip,
               rabbitmq-erlang-client (>= 2.5.0), rabbitmq-server (>= 2.5.0),
               xsltproc
Standards-Version: 3.9.2
Homepage: http://www.rabbitmq.com/
Vcs-Browser: http://hg.rabbitmq.com/rabbitmq-stomp

Package: rabbitmq-stomp
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, rabbitmq-plugins-common,
         rabbitmq-server (>= 2.5.0), rabbitmq-erlang-client (>= 2.5.0)
Suggests: ruby
Description: A STOMP gateway for RabbitMQ
 Gateway for exposing AMQP functionality via the STOMP protocol, as
 implemented by many clients for various programming languages, and a few other
 servers besides RabbitMQ.

=== debian/rules ===
#!/usr/bin/make -f


DH_VERBOSE=1

%:
	dh  $@

override_dh_auto_test:
	#should not run test suite during build
